package com.emr.dao.emrCode;

import com.emr.dao.CommomMapper;
import com.emr.entity.emrCode.T_Operate;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface T_OperateMapper extends CommomMapper {
    int insert(T_Operate record);

    int insertSelective();

    void updateByPrimaryKeySelective(T_Operate record);

    List<T_Operate> selectAllByPatientId(@Param("patientId")String patientId,@Param("operateNo")Short operateNo);

    void deleteOperCodeByPatientIdAndOperNo(@Param("patientId")String patientId,@Param("operateNo")String operateNo);

    int SimpleUpdate(@Param("list")List<T_Operate> list);
}